rod_od = 3.5; // The outside diameter of the rod
rod_width = rod_od / sqrt(2); // It's easier to print if the rod is square
rod_height = 92; // How long the rod is

module rod(width, height) {
    translate([-width/2, -width/2, 0]) cube([width, width, height]);
}

translate([0, rod_height/2, 0]) {
    rotate(a=90, v=[1, 0, 0]) {
        rod(rod_width, rod_height);
    }
}
